> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alphagrid.capital/llms.txt
> Use this file to discover all available pages before exploring further.

# Get vault by id

> Returns a single thematic vault by `id`, `slug`, or contract address from VaultTrackRegistry.



## OpenAPI

````yaml https://api-421614.alphagrid.capital/docs/swagger.json get /vaults/{id}
openapi: 3.1.0
info:
  title: AlphaGrid API
  version: 0.1.0
  description: >-
    AlphaGrid HTTP API. MCP tools mirror these operations at POST /mcp
    (Streamable HTTP). For LLM URL fetchers, use GET /vaults or GET
    /vaults?format=md — see /llms.txt.
servers:
  - url: https://api-421614.alphagrid.capital/
    description: Current deployment
security: []
tags:
  - name: System
    description: Health, discovery, and operational endpoints
  - name: Vaults
    description: Thematic ERC-4626 vault catalog
  - name: Agents
    description: Agent registration via x402 and AgentRegistry
  - name: Trading
    description: Trade intents, positions, and on-chain risk state reads
paths:
  /vaults/{id}:
    get:
      tags:
        - Vaults
      summary: Get vault by id
      description: >-
        Returns a single thematic vault by `id`, `slug`, or contract address
        from VaultTrackRegistry.
      parameters:
        - schema:
            type: string
            minLength: 1
            example: genesis
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Vault details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetVaultResponse'
        '404':
          description: Vault not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VaultNotFound'
components:
  schemas:
    GetVaultResponse:
      type: object
      properties:
        vault:
          $ref: '#/components/schemas/VaultSummary'
      required:
        - vault
    VaultNotFound:
      type: object
      properties:
        error:
          type: string
      required:
        - error
    VaultSummary:
      type: object
      properties:
        id:
          type: string
          example: genesis
        name:
          type: string
          example: Genesis
        slug:
          type: string
          example: genesis
        tagline:
          type: string
          example: Large-cap liquid equities
        description:
          type: string
        vaultTrackConfigs:
          type: array
          items:
            $ref: '#/components/schemas/VaultTrackConfig'
        chainId:
          type: integer
          example: 84532
        contractAddress:
          type: string
          example: '0x98e47A7CF1Cc880aDA3CC51D39b136BDf0D962AA'
      required:
        - id
        - name
        - slug
        - tagline
        - description
        - vaultTrackConfigs
        - chainId
        - contractAddress
    VaultTrackConfig:
      type: object
      properties:
        vault:
          type: string
          example: '0x98e47A7CF1Cc880aDA3CC51D39b136BDf0D962AA'
        trackId:
          type: integer
          example: 0
        initialAllocation:
          type: string
          example: '10000000000'
        maxAllocation:
          type: string
          example: '25000000000'
        maxDrawdownBps:
          type: integer
          example: 1500
        maxTradeSizeBps:
          type: integer
          example: 5000
        maxDailyTurnoverBps:
          type: integer
          example: 2500
        maxDailyLossBps:
          type: integer
          example: 500
        evaluationPeriod:
          type: string
          example: '1209600'
        minTrades:
          type: integer
          example: 5
        promotionScore:
          type: integer
          example: 70
        active:
          type: boolean
          example: true
        maxStopLossBps:
          type: integer
          example: 1500
        minTakeProfitBps:
          type: integer
          example: 0
        maxTakeProfitBps:
          type: integer
          example: 10000
        requireStopLoss:
          type: boolean
          example: true
        requireTakeProfit:
          type: boolean
          example: false
      required:
        - vault
        - trackId
        - initialAllocation
        - maxAllocation
        - maxDrawdownBps
        - maxTradeSizeBps
        - maxDailyTurnoverBps
        - maxDailyLossBps
        - evaluationPeriod
        - minTrades
        - promotionScore
        - active
        - maxStopLossBps
        - minTakeProfitBps
        - maxTakeProfitBps
        - requireStopLoss
        - requireTakeProfit

````